@charset "UTF-8";

/* 共通部分
------------------------------------*/
html,body,h1,li {
    margin: 0;
    padding: 0;
}

h1 {
    color: #ffffff;
    font-size: xxx-large;
}

h3 {
    color: #ffffff;
    font-size: large;
    padding-top: 0px;
}

a {
    color: #ffffff;
    text-decoration: none;
}

div {
    padding-left: 30px;
    padding-top: 0px;
}

button {
    background-color: transparent;
    box-shadow: none;        /* 立体的な影を消す */
    
    /* 2. 枠線を消す (重要) */
    border-style: solid;
    border-color: #fff;
    color: #fff;
}

/* HOME
------------------------------------*/

body {
    margin: 0;
    font-family: sans-serif;
    }
    
    /* メニューボタン */
    .menu-btn {
    position: fixed;
    top: 20px;
    left: 20px;
    z-index: 1001;
    padding: 10px 15px;
    font-size: 16px;
    cursor: pointer;
    }

    footer {
        text-align: center;
    }
    
    footer small {
        color: white;
    }

    /* サイドメニュー本体 */
    .side-menu {
    position: fixed;
    top: 0;
    left: -300px; /* 初期状態は画面外 */
    width: 300px;
    height: 100vh;
    background-color: black;
    color: #fff;
    transition: left 0.3s ease;
    z-index: 1000;
    padding-top: 60px;
    }
    
    /* 表示状態 */
    .side-menu.open {
    left: 0;
    }
    
    /* メニュー項目 */
    .side-menu ul {
    list-style: none;
    padding: 0;
    }
    
    .side-menu li {
    padding: 15px 20px;
    }
    
    .side-menu a {
    color: #fff;
    text-decoration: none;
    }
    
    .side-menu a:hover {
    text-decoration: underline;
    }

.cover-home {
    background-image: url(../images/hiroshi.png);
    background-size: cover;
    background-repeat: no-repeat;
    height: 100vh;
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.main-nav {
    display: flex;
    justify-content: center;
    gap: 2.5rem;
    font-size: 1.5rem;
    list-style: none;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    padding-top: 0.5rem;
    font-weight: 700;
    margin: 0;
}

.page-title {
    display: flex;
    gap: 40rem;
    font-size: 2rem;
    list-style: none;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    padding-top: 12rem;
    padding-left: 5rem;
}


/* CONTACT
------------------------------------*/

.cover-contact {
    background-image: url(../images/hiroshi4.jpg);
    background-size: cover    ;
    background-repeat: no-repeat;
}

/* HISTORY
-------------------------------------*/

.cover-history {
    background-image: url(../images/hiroshi3.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    height: 100vh;
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}